Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Retrieves a Unity Catalog model service by its full resource name.
Example Usage
The following example retrieves the model service named customerSupport from the main.default schema:
import * as pulumi from "@pulumi/pulumi";
import * as databricks from "@pulumi/databricks";
const example = databricks.getAiGatewayModelService({
name: "model-services/main.default.customer_support",
});
export const modelServiceConfig = example.then(example => example.config);
import pulumi
import pulumi_databricks as databricks
example = databricks.get_ai_gateway_model_service(name="model-services/main.default.customer_support")
pulumi.export("modelServiceConfig", example.config)
package main
import (
"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := databricks.GetAiGatewayModelService(ctx, &databricks.LookupAiGatewayModelServiceArgs{
Name: "model-services/main.default.customer_support",
}, nil)
if err != nil {
return err
}
ctx.Export("modelServiceConfig", example.Config)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Databricks = Pulumi.Databricks;
return await Deployment.RunAsync(() =>
{
var example = Databricks.GetAiGatewayModelService.Invoke(new()
{
Name = "model-services/main.default.customer_support",
});
return new Dictionary<string, object?>
{
["modelServiceConfig"] = example.Apply(getAiGatewayModelServiceResult => getAiGatewayModelServiceResult.Config),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.databricks.DatabricksFunctions;
import com.pulumi.databricks.inputs.GetAiGatewayModelServiceArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DatabricksFunctions.getAiGatewayModelService(GetAiGatewayModelServiceArgs.builder()
.name("model-services/main.default.customer_support")
.build());
ctx.export("modelServiceConfig", example.config());
}
}
variables:
example:
fn::invoke:
function: databricks:getAiGatewayModelService
arguments:
name: model-services/main.default.customer_support
outputs:
modelServiceConfig: ${example.config}
terraform {
required_providers {
databricks = {
source = "pulumi/databricks"
}
}
}
data "databricks_ai_gateway_model_service" "example" {
name = "model-services/main.default.customer_support"
}
output "modelServiceConfig" {
value = data.databricks_ai_gateway_model_service.example.config
}
Using getAiGatewayModelService
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAiGatewayModelService(args: GetAiGatewayModelServiceArgs, opts?: InvokeOptions): Promise<GetAiGatewayModelServiceResult>
function getAiGatewayModelServiceOutput(args: GetAiGatewayModelServiceOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayModelServiceResult>def get_ai_gateway_model_service(name: Optional[str] = None,
provider_config: Optional[GetAiGatewayModelServiceProviderConfig] = None,
opts: Optional[InvokeOptions] = None) -> GetAiGatewayModelServiceResult
def get_ai_gateway_model_service_output(name: pulumi.Input[Optional[str]] = None,
provider_config: pulumi.Input[Optional[GetAiGatewayModelServiceProviderConfigArgs]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayModelServiceResult]func LookupAiGatewayModelService(ctx *Context, args *LookupAiGatewayModelServiceArgs, opts ...InvokeOption) (*LookupAiGatewayModelServiceResult, error)
func LookupAiGatewayModelServiceOutput(ctx *Context, args *LookupAiGatewayModelServiceOutputArgs, opts ...InvokeOption) LookupAiGatewayModelServiceResultOutput> Note: This function is named LookupAiGatewayModelService in the Go SDK.
public static class GetAiGatewayModelService
{
public static Task<GetAiGatewayModelServiceResult> InvokeAsync(GetAiGatewayModelServiceArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayModelServiceResult> Invoke(GetAiGatewayModelServiceInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayModelServiceResult> Invoke(GetAiGatewayModelServiceInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOptions options)
public static Output<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOptions options)
public static Output<GetAiGatewayModelServiceResult> getAiGatewayModelService(GetAiGatewayModelServiceArgs args, InvokeOutputOptions options)
fn::invoke:
function: databricks:index/getAiGatewayModelService:getAiGatewayModelService
arguments:
# arguments dictionarydata "databricks_get_ai_gateway_model_service" "name" {
# arguments
}The following arguments are supported:
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - Provider
Config GetAi Gateway Model Service Provider Config - Configure the provider for management through account provider.
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - Provider
Config GetAi Gateway Model Service Provider Config - Configure the provider for management through account provider.
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - provider_
config object - Configure the provider for management through account provider.
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - provider
Config GetAi Gateway Model Service Provider Config - Configure the provider for management through account provider.
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - provider
Config GetAi Gateway Model Service Provider Config - Configure the provider for management through account provider.
- name str
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - provider_
config GetAi Gateway Model Service Provider Config - Configure the provider for management through account provider.
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - provider
Config Property Map - Configure the provider for management through account provider.
getAiGatewayModelService Result
The following output properties are available:
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Model Service Config - (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the model service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the model service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the model service
- Name string
- (string) - User-facing label for this destination, used in routing references
- Supported
Api List<string>Types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - Update
Time string - (string) - Time the model service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Model Service Provider Config
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Model Service Config - (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the model service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the model service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the model service
- Name string
- (string) - User-facing label for this destination, used in routing references
- Supported
Api []stringTypes - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - Update
Time string - (string) - Time the model service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Model Service Provider Config
- comment string
- (string) - User-provided description
- config object
- (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time string - (string) - Time the model service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the model service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id string - (string) - Metastore hosting the model service
- name string
- (string) - User-facing label for this destination, used in routing references
- supported_
api_ list(string)types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - update_
time string - (string) - Time the model service was last modified
- updated_
by string - (string) - Identity of the last updater
- provider_
config object
- comment String
- (string) - User-provided description
- config
Get
Ai Gateway Model Service Config - (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the model service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the model service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the model service
- name String
- (string) - User-facing label for this destination, used in routing references
- supported
Api List<String>Types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - update
Time String - (string) - Time the model service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config GetAi Gateway Model Service Provider Config
- comment string
- (string) - User-provided description
- config
Get
Ai Gateway Model Service Config - (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time string - (string) - Time the model service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the model service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id string - (string) - Metastore hosting the model service
- name string
- (string) - User-facing label for this destination, used in routing references
- supported
Api string[]Types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - update
Time string - (string) - Time the model service was last modified
- updated
By string - (string) - Identity of the last updater
- provider
Config GetAi Gateway Model Service Provider Config
- comment str
- (string) - User-provided description
- config
Get
Ai Gateway Model Service Config - (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time str - (string) - Time the model service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the model service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id str - (string) - Metastore hosting the model service
- name str
- (string) - User-facing label for this destination, used in routing references
- supported_
api_ Sequence[str]types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - update_
time str - (string) - Time the model service was last modified
- updated_
by str - (string) - Identity of the last updater
- provider_
config GetAi Gateway Model Service Provider Config
- comment String
- (string) - User-provided description
- config Property Map
- (ModelServiceConfig) - Destinations, routing, rate limits, and payload logging configuration.
Required on Create. On Update, provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the model service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the model service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the model service
- name String
- (string) - User-facing label for this destination, used in routing references
- supported
Api List<String>Types - (list of string) - API types supported across this service's destinations, such as
openai/v1/chat/completions,openai/v1/embeddings, andmlflow/v1/chat/completions. Derived from the backing models and providers at read time - update
Time String - (string) - Time the model service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config Property Map
Supporting Types
GetAiGatewayModelServiceConfig
- Inference
Table GetAi Gateway Model Service Config Inference Table - (InferenceTableConfig) - Inference table configuration for payload logging
- Rate
Limits List<GetAi Gateway Model Service Config Rate Limit> - (list of RateLimit) - Rate limits applied to requests routed through this model service
- Routing
Get
Ai Gateway Model Service Config Routing - (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- Inference
Table GetAi Gateway Model Service Config Inference Table - (InferenceTableConfig) - Inference table configuration for payload logging
- Rate
Limits []GetAi Gateway Model Service Config Rate Limit - (list of RateLimit) - Rate limits applied to requests routed through this model service
- Routing
Get
Ai Gateway Model Service Config Routing - (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- inference_
table object - (InferenceTableConfig) - Inference table configuration for payload logging
- rate_
limits list(object) - (list of RateLimit) - Rate limits applied to requests routed through this model service
- routing object
- (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- inference
Table GetAi Gateway Model Service Config Inference Table - (InferenceTableConfig) - Inference table configuration for payload logging
- rate
Limits List<GetAi Gateway Model Service Config Rate Limit> - (list of RateLimit) - Rate limits applied to requests routed through this model service
- routing
Get
Ai Gateway Model Service Config Routing - (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- inference
Table GetAi Gateway Model Service Config Inference Table - (InferenceTableConfig) - Inference table configuration for payload logging
- rate
Limits GetAi Gateway Model Service Config Rate Limit[] - (list of RateLimit) - Rate limits applied to requests routed through this model service
- routing
Get
Ai Gateway Model Service Config Routing - (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- inference_
table GetAi Gateway Model Service Config Inference Table - (InferenceTableConfig) - Inference table configuration for payload logging
- rate_
limits Sequence[GetAi Gateway Model Service Config Rate Limit] - (list of RateLimit) - Rate limits applied to requests routed through this model service
- routing
Get
Ai Gateway Model Service Config Routing - (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
- inference
Table Property Map - (InferenceTableConfig) - Inference table configuration for payload logging
- rate
Limits List<Property Map> - (list of RateLimit) - Rate limits applied to requests routed through this model service
- routing Property Map
- (ModelServiceConfigRoutingConfig) - Routing configuration: destinations and fallback
GetAiGatewayModelServiceConfigInferenceTable
- Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - Table string
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - Table
Name stringPrefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - Table string
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - Table
Name stringPrefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - table string
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - table_
name_ stringprefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- parent String
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - table String
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - table
Name StringPrefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- is
Deleted boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- parent string
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - table string
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - table
Name stringPrefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- parent str
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - table str
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - table_
name_ strprefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
- is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- parent String
- (string) - Parent Unity Catalog schema where the inference table is created, in the
form
schemas/{catalog}.{schema}. Required when configuring an inference table. After the inference table is created, this field cannot be changed - table String
- (string) - Resolved UC table for payload logs.
Format:
tables/{catalog}.{schema}.{table} - table
Name StringPrefix - (string) - Prefix used to form the inference table's registered name. AI Gateway
appends
_payload; for example,tableNamePrefix = "orders"createsordersPayload. If unset, the prefix defaults to the service name. Readtablefrom the response for the resulting resource name. After the inference table is created, this field cannot be changed
GetAiGatewayModelServiceConfigRateLimit
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Integer
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Integer
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key str
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period str - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal str
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
GetAiGatewayModelServiceConfigRouting
- Destinations
List<Get
Ai Gateway Model Service Config Routing Destination> - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - Fallback
Get
Ai Gateway Model Service Config Routing Fallback - (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- Destinations
[]Get
Ai Gateway Model Service Config Routing Destination - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - Fallback
Get
Ai Gateway Model Service Config Routing Fallback - (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- destinations list(object)
- (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - fallback object
- (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- destinations
List<Get
Ai Gateway Model Service Config Routing Destination> - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - fallback
Get
Ai Gateway Model Service Config Routing Fallback - (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- destinations
Get
Ai Gateway Model Service Config Routing Destination[] - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - fallback
Get
Ai Gateway Model Service Config Routing Fallback - (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- destinations
Sequence[Get
Ai Gateway Model Service Config Routing Destination] - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - fallback
Get
Ai Gateway Model Service Config Routing Fallback - (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
- destinations List<Property Map>
- (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported - fallback Property Map
- (ModelServiceConfigFallbackConfig) - Fallback routing applied after a primary destination fails. Fallback destinations are tried in the listed order
GetAiGatewayModelServiceConfigRoutingDestination
- Destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - External
Model GetConfig Ai Gateway Model Service Config Routing Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- Pay
Per GetToken Config Ai Gateway Model Service Config Routing Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- Provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- Traffic
Percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- Destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - External
Model GetConfig Ai Gateway Model Service Config Routing Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- Pay
Per GetToken Config Ai Gateway Model Service Config Routing Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- Provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- Traffic
Percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination_
type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external_
model_ objectconfig - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay_
per_ objecttoken_ config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned_
throughput_ objectconfig - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic_
percentage number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type String - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model GetConfig Ai Gateway Model Service Config Routing Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per GetToken Config Ai Gateway Model Service Config Routing Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage Integer - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model GetConfig Ai Gateway Model Service Config Routing Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per GetToken Config Ai Gateway Model Service Config Routing Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination_
type str - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name str
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external_
model_ Getconfig Ai Gateway Model Service Config Routing Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay_
per_ Gettoken_ config Ai Gateway Model Service Config Routing Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned_
throughput_ Getconfig Ai Gateway Model Service Config Routing Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic_
percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type String - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model Property MapConfig - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per Property MapToken Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput Property MapConfig - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage Number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfig
- Model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - Target
Get
Ai Gateway Model Service Config Routing Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- Model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - Target
Get
Ai Gateway Model Service Config Routing Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model_
provider_ stringservice - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target object
- (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider StringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model_
provider_ strservice - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider StringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target Property Map
- (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
GetAiGatewayModelServiceConfigRoutingDestinationExternalModelConfigTarget
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Native
Api List<string>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Native
Api []stringTypes - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native_
api_ list(string)types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api List<String>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api string[]Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native_
api_ Sequence[str]types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api List<String>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
GetAiGatewayModelServiceConfigRoutingDestinationPayPerTokenConfig
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
GetAiGatewayModelServiceConfigRoutingDestinationProvisionedThroughputConfig
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model_
serving_ stringendpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving StringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model_
serving_ strendpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving StringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
GetAiGatewayModelServiceConfigRoutingFallback
- Destinations
List<Get
Ai Gateway Model Service Config Routing Fallback Destination> - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- Destinations
[]Get
Ai Gateway Model Service Config Routing Fallback Destination - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- destinations list(object)
- (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- destinations
List<Get
Ai Gateway Model Service Config Routing Fallback Destination> - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- destinations
Get
Ai Gateway Model Service Config Routing Fallback Destination[] - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- destinations
Sequence[Get
Ai Gateway Model Service Config Routing Fallback Destination] - (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
- destinations List<Property Map>
- (list of ModelServiceConfigDestinationConfig) - Primary routing destinations. At most 10 are allowed. At least one is
required on Create. On Update, provide this list when replacing the full
configor updatingconfig.routing.destinations; other granular routing updates do not require resending destinations. The intermediateconfig.routingmask path is not supported
GetAiGatewayModelServiceConfigRoutingFallbackDestination
- Destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - External
Model GetConfig Ai Gateway Model Service Config Routing Fallback Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- Pay
Per GetToken Config Ai Gateway Model Service Config Routing Fallback Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- Provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Fallback Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- Traffic
Percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- Destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - Is
Deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- Name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - External
Model GetConfig Ai Gateway Model Service Config Routing Fallback Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- Pay
Per GetToken Config Ai Gateway Model Service Config Routing Fallback Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- Provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Fallback Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- Traffic
Percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination_
type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external_
model_ objectconfig - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay_
per_ objecttoken_ config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned_
throughput_ objectconfig - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic_
percentage number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type String - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model GetConfig Ai Gateway Model Service Config Routing Fallback Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per GetToken Config Ai Gateway Model Service Config Routing Fallback Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Fallback Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage Integer - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type string - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name string
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model GetConfig Ai Gateway Model Service Config Routing Fallback Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per GetToken Config Ai Gateway Model Service Config Routing Fallback Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput GetConfig Ai Gateway Model Service Config Routing Fallback Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination_
type str - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is_
deleted bool - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name str
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external_
model_ Getconfig Ai Gateway Model Service Config Routing Fallback Destination External Model Config - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay_
per_ Gettoken_ config Ai Gateway Model Service Config Routing Fallback Destination Pay Per Token Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned_
throughput_ Getconfig Ai Gateway Model Service Config Routing Fallback Destination Provisioned Throughput Config - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic_
percentage int - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
- destination
Type String - (string) - Backing-model category. Provide the matching type-specific configuration
and leave the other type-specific configurations unset. Possible values are:
DESTINATION_TYPE_EXTERNAL_FOUNDATION_MODEL,DESTINATION_TYPE_PAY_PER_TOKEN_FOUNDATION_MODEL,DESTINATION_TYPE_PROVISIONED_THROUGHPUT_FOUNDATION_MODEL - is
Deleted Boolean - (boolean) - Whether the destination's backing model or model provider service has been deleted. The destination remains visible so you can identify the broken dependency. Requests cannot use this destination until the backing resource is restored or the destination is replaced
- name String
- Resource name of the model service.
Format:
model-services/{catalog}.{schema}.{model_service}. Each{...}component is capped at 255 characters individually. Server-derived on Create fromparent+modelServiceId; required and immutable on Update/Get/Delete - external
Model Property MapConfig - (ModelServiceConfigExternalModelConfig) - Configuration for an external model reached through a model provider service
- pay
Per Property MapToken Config - (ModelServiceConfigPayPerTokenConfig) - Configuration for a pay-per-token Databricks foundation model
- provisioned
Throughput Property MapConfig - (ModelServiceConfigProvisionedThroughputConfig) - Configuration for a provisioned-throughput Databricks foundation model
- traffic
Percentage Number - (integer) - Percentage of primary traffic sent to this destination, from 0 to 100. Required when there is more than one primary destination, in which case the primary percentages must sum to 100; a single primary destination receives all traffic. Fallback destinations are ordered and do not use this field
GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfig
- Model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - Target
Get
Ai Gateway Model Service Config Routing Fallback Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- Model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - Target
Get
Ai Gateway Model Service Config Routing Fallback Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model_
provider_ stringservice - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target object
- (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider StringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Fallback Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider stringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Fallback Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model_
provider_ strservice - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target
Get
Ai Gateway Model Service Config Routing Fallback Destination External Model Config Target - (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
- model
Provider StringService - (string) - Resource name of the governed ModelProviderService that owns provider
auth and provider-specific configuration. The referenced
ModelProviderService also carries the provider type, so this message
does not surface it directly.
Format:
model-provider-services/{catalog}.{schema}.{model_provider_service}. Each{...}component is capped at 255 characters individually - target Property Map
- (ModelProviderServiceConfigModelTargetConfig) - Routing target for the destination: the provider-side model selected from
the referenced ModelProviderService's
targetscatalog, plus the unified API types the platform should translate to/from at request time
GetAiGatewayModelServiceConfigRoutingFallbackDestinationExternalModelConfigTarget
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Native
Api List<string>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Native
Api []stringTypes - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native_
api_ list(string)types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api List<String>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api string[]Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native_
api_ Sequence[str]types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - native
Api List<String>Types - (list of string) - Provider-native API types supported by this model, such as
openai/v1/chat/completions. At least one value is required. AI Gateway uses these values to translate requests and responses. At most 64 entries of 256 characters each are allowed
GetAiGatewayModelServiceConfigRoutingFallbackDestinationPayPerTokenConfig
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time
GetAiGatewayModelServiceConfigRoutingFallbackDestinationProvisionedThroughputConfig
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- Model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - Model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model_
serving_ stringendpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving StringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model string
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving stringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model str
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model_
serving_ strendpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
- model String
- (string) - UC model FQN of the model served by the backing endpoint (e.g.,
system.ai.databricks-claude-opus-4-6). Resolved from Model Serving at Create/Update time - model
Serving StringEndpoint - (string) - Name of the backing Model Serving endpoint serving the provisioned-
throughput foundation model, in the form
serving-endpoints/{name}. The same Unity Catalog model can be served on multiple Model Serving endpoints with different throughput, regions, or configurations. The caller selects the endpoint to which this destination routes. The endpoint must exist at create time
GetAiGatewayModelServiceProviderConfig
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id str - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
Package Details
- Repository
- databricks pulumi/pulumi-databricks
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
databricksTerraform Provider.
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi